#ifndef INCLUDED_snow_types_WindowEvents
#define INCLUDED_snow_types_WindowEvents

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,WindowEventType)
HX_DECLARE_CLASS2(snow,types,WindowEvents)
namespace snow{
namespace types{


class HXCPP_CLASS_ATTRIBUTES  WindowEvents_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef WindowEvents_obj OBJ_;
		WindowEvents_obj();
		Void __construct();

	public:
		inline void *operator new( size_t inSize, bool inContainer=false)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< WindowEvents_obj > __new();
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~WindowEvents_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		::String __ToString() const { return HX_CSTRING("WindowEvents"); }

		static int we_unknown;
		static int we_created;
		static int we_shown;
		static int we_hidden;
		static int we_exposed;
		static int we_moved;
		static int we_resized;
		static int we_size_changed;
		static int we_minimized;
		static int we_maximized;
		static int we_restored;
		static int we_enter;
		static int we_leave;
		static int we_focus_gained;
		static int we_focus_lost;
		static int we_close;
		static int we_destroy;
		static ::snow::types::WindowEventType typed( int type);
		static Dynamic typed_dyn();

};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_WindowEvents */ 
